=== debian/changelog ===
evolution-data-server (3.30.5.2-1+eagle) unstable; urgency=low

  * ['Autobuild release-candidate: 05065ff807a783ce016c72218d851696f981a8ef']

 -- shuttle <shuttle@deepin.com>  Mon, 09 Nov 2020 17:32:02 +0000
