## evolution-data-server 3.32.1

=== debian/changelog ===
evolution-data-server (3.32.1-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Apr 2019 11:18:52 +0200

evolution-data-server (3.32.0-1) experimental; urgency=medium

  * New upstream release
  * debian/libedataserver-1.2-24.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 11 Mar 2019 06:37:12 -0400

evolution-data-server (3.31.90-1) experimental; urgency=medium

  * New upstream development release
  * Rename libedataserver-1.2-23 to libedataserver-1.2-24 to match soname bump
  * Update symbols files
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gir and dh-sequence-gnome
  * Stop overriding libexec directory (/usr/libexec is fine now)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 04 Feb 2019 09:37:42 -0500
