=== debian/control ===
--- 
+++ 
@@ -6,9 +6,11 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: 
+Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 11),
+               debhelper-compat (= 12),
+               dh-sequence-gir,
+               dh-sequence-gnome,
                libtool,
                intltool (>= 0.35.5),
                libcanberra-gtk3-dev (>= 0.25),
@@ -36,9 +38,7 @@
                libwebkit2gtk-4.0-dev,
                libxml2-dev (>= 2.0.0),
                gtk-doc-tools (>= 1.14),
-               gobject-introspection (>= 0.9.12-4~),
                gperf,
-               gnome-pkg-tools,
                pkg-config (>= 0.16),
                valac (>= 0.22),
                libphonenumber-dev [!hppa !hurd-any !kfreebsd-amd64 !kfreebsd-i386],
@@ -112,7 +112,7 @@
  This package contains the API documentation for all the individual
  Evolution Data Server libraries.
 
-Package: libedataserver-1.2-23
+Package: libedataserver-1.2-24
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -129,7 +129,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libedataserver-1.2-23 (= ${binary:Version}),
+Depends: libedataserver-1.2-24 (= ${binary:Version}),
          gir1.2-edataserver-1.2 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends},
@@ -340,4 +340,3 @@
  .
  This package contains header files and static library for libedata-book.
 
-Package: gir1.2-ebookcontacts-1.2
