## evolution-data-server 3.32.2

=== debian/changelog ===
evolution-data-server (3.32.2-2) experimental; urgency=medium

  * Includes the symbols file udpdate...

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 20 May 2019 21:43:50 +0200

evolution-data-server (3.32.2-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Sat, 18 May 2019 08:52:08 +0200
