## evolution-data-server 3.34.1

=== debian/changelog ===
evolution-data-server (3.34.1-1) unstable; urgency=medium

  * New upstream release
  * debian/libedataserver-1.2-24.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 07 Oct 2019 20:19:38 -0400

evolution-data-server (3.34.0-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 30 Sep 2019 13:39:53 +0200

evolution-data-server (3.34.0-2) experimental; urgency=medium

  * Correctly update debian/libedata-cal-2.0-1.symbols

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 Sep 2019 18:10:19 +0200

evolution-data-server (3.34.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Sep 2019 17:59:16 +0200

evolution-data-server (3.33.91-3) experimental; urgency=medium

  * Correctly update the symbols for the new version...

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 28 Aug 2019 21:25:12 +0200

evolution-data-server (3.33.91-2) experimental; urgency=medium

  * Remove patch not needed in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 28 Aug 2019 17:07:53 +0200

evolution-data-server (3.33.91-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 28 Aug 2019 17:04:06 +0200
