=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 12),
                dh-sequence-gir,
@@ -24,7 +24,7 @@
                libgoa-1.0-dev (>= 3.8),
                libgtk-3-dev (>= 3.10),
                libgweather-3-dev (>= 3.10),
-               libical-dev (>= 2.0),
+               libical-dev (>= 3.0.5),
                libicu-dev,
                libjson-glib-dev (>= 1.0.4),
                libkrb5-dev,
@@ -182,7 +182,7 @@
          ${misc:Depends},
          libedata-book1.2-dev,
          libcamel1.2-dev (= ${binary:Version}),
-         libecal1.2-dev (= ${binary:Version}),
+         libecal2.0-dev (= ${binary:Version}),
          libedataserver1.2-dev (= ${binary:Version}),
          libxml2-dev,
          libglib2.0-dev (>= 2.40),
@@ -265,7 +265,7 @@
  library. It can be used by packages using the GIRepository format to
  generate dynamic bindings.
 
-Package: libebook-1.2-19
+Package: libebook-1.2-20
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -281,7 +281,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libebook-1.2-19 (= ${binary:Version}),
+Depends: libebook-1.2-20 (= ${binary:Version}),
          gir1.2-ebook-1.2 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
@@ -312,7 +312,7 @@
  library. It can be used by packages using the GIRepository format to
  generate dynamic bindings.
 
-Package: libedata-book-1.2-25
+Package: libedata-book-1.2-26
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -328,7 +328,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libedata-book-1.2-25 (= ${binary:Version}),
+Depends: libedata-book-1.2-26 (= ${binary:Version}),
+         gir1.2-edatabook-1.2 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
          libebook-contacts1.2-dev (= ${binary:Version}),
@@ -338,5 +339,3 @@
  Evolution is the integrated mail, calendar, task and address book
  distributed suite from Novell, Inc.
  .
- This package contains header files and static library for libedata-book.
-
