## evolution-data-server 3.35.92

=== debian/changelog ===
evolution-data-server (3.35.92-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 02 Mar 2020 16:37:28 +0100

evolution-data-server (3.35.91-1) experimental; urgency=medium

  * New upstream release
  * debian/gbp.conf:
    - go back to use upstream/latest for the new serie
  * debian/control.in:
    - updated the libical version requirement to 3.0.7
  * debian/libedataserver-1.2-24.symbols:
    - refresh the symbols for the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 25 Feb 2020 15:20:32 +0100

evolution-data-server (3.34.3-2) unstable; urgency=medium

  [ Iain Lane ]
  * Re-apply accidentally dropped changes from 3.34.1-2.
  * gbp.conf: Use upstream/3.34.x for upstream branch, now upstream/latest has
    diverged

  [ Steve Langasek ]
  * debian/rules: Omit evolution-data-server{,-tests} packages on
    ubuntu/i386.

 -- Iain Lane <laney@debian.org>  Sun, 16 Feb 2020 21:49:04 +0000

evolution-data-server (3.34.3-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.5.0

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 01 Feb 2020 21:34:29 -0500

evolution-data-server (3.34.1-2) unstable; urgency=medium

  [ Steve Langasek ]
  * debian/rules: Omit evolution-data-server{,-tests} packages on
    ubuntu/i386. (Closes: #947186)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 09 Jan 2020 17:30:09 +0100
